%define module	CGI-Application
%define name	perl-%{module}
%define version	4.06
%define release	%mkrel 1

Name:		%{name}
Version: 	%{version}
Release:	%{release}
Summary:	Framework for building reusable web-applications
License: 	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
Requires: 	perl-HTML-Template
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(CGI)
BuildRequires:	perl(HTML::Template)
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
%{module} is intended to make it easier to create sophisticated,
reusable web-based applications. This module implements a methodology
which, if followed, will make your web software easier to design,
easier to document, easier to write, and easier to evolve.

%prep
%setup -q -n %{module}-%{version}
chmod 755 Examples/Mailform/mailform.cgi

%build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README Examples
%{perl_vendorlib}/CGI
%{_mandir}/*/*

%changelog
* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.06-1mdk
- New release 4.06
- better source URL

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.05-1mdk
- New release 4.05

* Mon Oct 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.04-1mdk
- New release 4.04
- spec cleanup
- fix directory ownership
- better summary

* Wed Aug 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 4.03-1mdk
- New release 4.03
- mkrel 
* Thu Jun 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.01-1mdk
- 4.01
- manually require perl-base

* Tue Nov 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.31-1mdk
- 3.31

* Mon May 10 2004 Michael Scherer <misc@mandrake.org> 3.22-1mdk
- New release 3.22
- rpmbuildupdate aware

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 3.1-2mdk
- Macroize
- %%makeinstall_std
- remove rm buildroot in %%build
- remove automatically found requires

* Thu Jun 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 3.1-1mdk
- 3.1

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0-3mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.0-2mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Sun Feb 16 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.0-1mdk
- 3.0

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-3mdk
- rebuild

* Thu Oct 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.6-2mdk
- from Peter Chen <petechen@netilla.com> :
- Minor fix in spec file and source permission to appease rpmlint.

* Mon Oct 21 2002 Peter Chen <petechen@netilla.com> 2.6-1mdk
- 2.6
- First packaging.
